
.banlist-body{
        opacity: 0;
    transform: translateY(10px);
    animation: fadeUp 0.4s ease forwards;
}


.banlist-user{
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    justify-content: center;
    background-color: var(--container-background);
    width: fit-content;
    position: relative;
    margin: 0 auto; 
    padding: 10px 40px 20px 40px;
    border-radius: 0.25rem;
    margin-bottom: 30px;
    max-width: 90%;
}

.banlist-user > div{
    display:inline-block;
}

.banlist-user > div > div{
    background-color: rgb(73, 73, 73);
    padding: 20px 25px 18px 25px;
    border-radius: 0.25rem;
    font-size: 25px;
    font-weight: 700;
    line-height: 25px;
}

.banlist-user > div > label{
    width:100%;
    text-align: center;
}

.active-ban{
    background-color: rgba(255, 38, 0, 0.432) !important;
}

.none-ban{
    background-color: rgba(0, 255, 128, 0.432) !important;
}


.banlist-searchbar{
    width: 70%;
    margin: 0 auto;
    display:flex;
    flex-wrap: wrap;
    justify-content: left;
    background-color: var(--container-background);
    padding: 15px;
    border-radius: 0.5rem;
    margin-bottom: 15px;
    user-select: none;
    gap: 5px;
}

.banlist-searchbar > input, .banlist-searchbar > div > input{
    margin-right: 10px;
    background-color: var(--button-background);
    border-radius: 0.3rem;
    border:none;
    width:140px;
    padding: 10px;
}

.banlist-searchbar > input:focus{
    outline: none;
}

.banlist-searchbar > input:nth-of-type(1){
    width: 200px;
}

.banlist-searchbar > div > input:nth-of-type(2){
    border-radius: 0 0.3rem 0.3rem 0;
    width: 80px;
    right: 5px;
    position: relative;
}

.banlist-searchbar > div > input:nth-of-type(1){
    margin: 0;
    border-radius: 0.3rem 0 0 0.3rem;
    width: 80px;
}

.banlist-searchbar > div:nth-of-type(2){
    margin-left: auto;
    position: relative;
    font-size: 18px;
    line-height: 44px;
}

.page-link-active{
    font-weight: 700;
    color: white !important;
}
.page-link{
    padding: 2px 3px;
    cursor: pointer;
    color: rgb(197, 197, 197);
}

.button-hover:hover{
    background-color: var(--main-orange) !important;
}

.banlist{
    width: 70%;
    margin: 0 auto;
    min-height: 500px;
}

.banlist > div{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    background-color: var(--container-background);
    border-radius: 0.5rem;
    padding: 7px 7px 7px 15px;
    position: relative;
    margin-bottom: 5px;
    font-size: 18px;
    line-height: 30px;
    color: rgb(197, 197, 197);
}

.banlist > div:hover{
    background-color: var(--container-background-hover);
    transform: scale(1.003);
    cursor: pointer;
    transition: all 0.1s;
    color: rgb(255, 255, 255);
}

.ban-iwn > div:nth-of-type(3){
    font-weight: 600;
    color: white !important;
}

.ban-iwn{
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 20px;
    width: 40%;
    min-width: 220px; 
    text-align: left;
}

.ban-rlp{
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 60%;
    min-width: 220px; 
    text-align: center;
}

.ban-rlp > div{
    width: 30%;
}

.banlist i{
    font-size: 18px;
    line-height: 30px;
    text-align: center;
}


.button-active{
    background-color: var(--main-orange) !important;
    font-weight: 700 !important;
}

.servery-nadpis{
    font-size: 40px;
    font-weight: 700;
    text-align: center;
    margin-bottom: 20px;
}
.progress{
    position: relative;
    background-color: var(--component-background);
    color: white !important;
}
.progres-cislo{
    position: absolute;
    left: 50%;
    transform: translate(-50%, 0);
}

.modalOpen .ban-info-content {
  animation: modalPopUp 0.4s cubic-bezier(0.22, 1, 0.36, 1);
}

.ban-info-modal{
    display: none;
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 1004;
}

.ban-info-content{
    background-color: rgb(27, 27, 27, 0.5);
        backdrop-filter: blur(10px);
  -webkit-backdrop-filter: blur(10px);
    width: 95%;
    height: auto;
    padding: 20px;
    max-width: 600px;
    border-radius: 0.5rem;
    position: fixed;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    z-index: 1005;
    display: flex;
    flex-direction: column;
    justify-content: center;
    flex-wrap: wrap;
    gap: 10px;
}

.ban-info-content > div{
    width: 100%;
    text-align: center;
    display: flex;
    justify-content: space-between;
    flex-direction: row;
}

.ban-info-content
 > div:hover > div {
    color: white !important;
}

.ban-info-content
 > div > div:nth-of-type(1){
    font-size: 20px;
    font-weight: 400;
    color: rgb(214, 214, 214);
}

.ban-info-content
 > div > div:nth-of-type(2){
    font-size: 20px;
    color: rgb(170, 170, 170);
    font-weight: 600;
    user-select: text !important;
}

.ban-info-buttons{
    width: 100%;
    display: flex;
    justify-content: end !important;
    gap: 10px;
    border-top: solid 1px gray;
    padding-top: 15px;
}

.unban-button{
    background-color: green;
    width: fit-content;
    padding: 5px 15px;
    height: 40px;
    border: none;
    border-radius: 0.25rem;
    color: white;
    font-size: 20px !important;
    font-weight: 600;
}


@media screen and (max-width: 910px) {

    .banlist, .banlist-searchbar, .banlist-user{
        width: 90% !important;
    }

    .progress{
        width: 100% !important;
    }

    .ban-iwn{
        width: 100%;
        justify-content: space-between;
        min-width: 220px; 
    }

    .ban-rlp{
        width: 100%;
        justify-content: space-between;
        min-width: 220px; 
    }


}

.button-addban{
    width: fit-content !important;
    padding: 0 15px !important;
    font-size: 30px;
    font-weight: 900;
}

.button-addban:hover{
    background-color: rgba(72, 199, 22, 0.781) !important;
}

.modalOpen .banlist-admin-pannel-content {
  animation: modalPopUp 0.4s cubic-bezier(0.22, 1, 0.36, 1);
}

.banlist-admin-pannel-modal{
    display: none;
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 4;
}

.banlist-admin-pannel-content{
    width: 50%;
    max-width: 650px;
    min-width: 350px;
    position: fixed;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    border-radius: 0.5rem;
        background-color: rgba(27, 27, 27, 0.685);
        backdrop-filter: blur(10px);
  -webkit-backdrop-filter: blur(10px);
    height: max-content;
    padding: 15px;
    text-align: center;
}

.banlist-admin-pannel-content > div:nth-of-type(1){
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 10px;
    position: relative;
    width: 100%;
}

.banlist-admin-pannel-content > div > input, .banlist-admin-pannel-content > div > select{
    width: 100%;
    height: 40px;
    padding: 10px;
    background-color: var(--component-background);
    border-radius: 0.2rem;
    color: rgb(201, 201, 201);
    min-width: 150px;
}

.banlist-admin-pannel-content > div > select{
    font-weight: 600;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    /* display: none; <- Crashes Chrome on hover */
    -webkit-appearance: none;
    margin: 0; /* <-- Apparently some margin are still there even though it's hidden */
}

input[type=number] {
    -moz-appearance:textfield; /* Firefox */
}






